Skip to content

Get Result

1. Overview

Call this endpoint to retrieve the result of a text-to-image or image-to-image task. Before using it, call Image Generation to get the task id, and then pass that id to this endpoint.

2. Request

  • Method:GET
  • Endpoint:

    https://gateway.serevixai.ai/flux/v1/get_result?id=$id
    

3. Parameters

3.1 Header Parameters

Parameter Type Required Description Example
Authorization string Yes API key required for authentication, in the format Bearer $YOUR_API_KEY. Bearer $YOUR_API_KEY

4. Request Examples

GET /flux/v1/get_result?id=1981b99c-a825-4d19-adc6-7dda6118c4ea
Authorization: Bearer $YOUR_API_KEY
curl https://gateway.serevixai.ai/flux/v1/get_result?id=1981b99c-a825-4d19-adc6-7dda6118c4ea \
    -H "Authorization: Bearer $YOUR_API_KEY" \

5. Response Example

{
    "id": "1981b99c-a825-4d19-adc6-7dda6118c4ea",
    "status": "Ready",
    "result": {
        "duration": 3.7374117374420166,
        "end_time": 1749181444.706912,
        "prompt": "draw a rainbow",
        "sample": "https://delivery-eu1.bfl.ai/results/72/444020881c2dad/881c2dadf5cd0af470e40192/sample.jpeg?se=2025-06-06T03%3A54%3A04Z&sp=r&sv=2024-11-04&sr=b&rsct=image/jpeg&sig=INslq/dSUv%2B0m38hWiKd7ohTeGHdfTFlrhw%3D",
        "seed": 1443575790,
        "start_time": 1749181440.9695003
    }
}